%define pkgver %(echo %version | cut -d_ -f1)
%define debian_ver %(echo %version | tr _ -)
Name:          acetoneiso
Version:       2.4_3
Release:       1mamba
Summary:       The CD/DVD image manipulator for Linux
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/acetoneiso
Source:        http://deb.debian.org/debian/pool/main/a/acetoneiso/acetoneiso_%{pkgver}.orig.tar.gz
Source1:       http://deb.debian.org/debian/pool/main/a/acetoneiso/acetoneiso_%{debian_ver}.debian.tar.xz
Patch0:        %{name}-2.2.1-phonon_includes.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5WebKit-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: gnupg2
BuildRequires: pinentry-qt
Requires:      fuse
Requires:      libfuse
Requires:      fuseiso
Requires:      cdrdao
Requires:      p7zip
Requires:      /usr/bin/cdrecord
Provides:      acetoneiso2
Obsoletes:     acetoneiso2 < 2.4-1mamba

%description
AcetoneISO2, is a feature-rich and complete software application to manage CD/DVD images. Thanks to powerful open source tools such as fuseiso, AcetoneISO2 will let You mount typical proprietary images formats of the Windows world such as ISO BIN NRG MDF IMG and do plenty of other things. Everything will be done inside a handy GUI.

%debug_package

%prep
%setup -q -n %{name}%{pkgver} -a1
#%patch0 -p1
cat debian/patches/series | while read line; do
   cat debian/patches/$line | patch -p1
done

%build
cd acetoneiso/
qmake-qt5
lrelease-qt5 acetoneiso.pro
sed -i "s|strip|/bin/true|" Makefile

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd acetoneiso/
%makeinstall INSTALL_ROOT=%{buildroot}

:<< __OLD
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/acetoneiso
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/konqueror/servicemenus/

#install_target
install -D -m 755 -p acetoneiso $RPM_BUILD_ROOT%{_bindir}/

#install_menuico
install -m 644 -p images/Acetino2.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/

#install_menu
install -m 755 -p menu/AcetoneISO.desktop $RPM_BUILD_ROOT%{_datadir}/applications/AcetoneISO.desktop

##install_dmg
#%ifarch x86_64
#cd dmg2img
#make
#cd ..
#install -m 755 -p dmg2img/dmg2img $RPM_BUILD_ROOT%{_bindir}/
#%endif

##install_sm
#install -m 755 -p scripts/sm/scripts/isofolder $RPM_BUILD_ROOT%{_datadir}/acetoneiso/
#install -m 755 -p scripts/sm/scripts/mfolder $RPM_BUILD_ROOT%{_datadir}/acetoneiso/
#install -m 755 -p scripts/sm/scripts/smiso $RPM_BUILD_ROOT%{_datadir}/acetoneiso/
#install -m 755 -p scripts/sm/scripts/ufolder $RPM_BUILD_ROOT%{_datadir}/acetoneiso/

##install_sml
#install -m 755 -p scripts/sm/link/acetoneiso2-folder.desktop $RPM_BUILD_ROOT%{_datadir}/apps/konqueror/servicemenus/
#install -m 755 -p scripts/sm/link/acetoneiso2-iso.desktop $RPM_BUILD_ROOT%{_datadir}/apps/konqueror/servicemenus/
__OLD

%post

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-, root, root)
%{_bindir}/acetoneiso
#%ifarch x86_64
#%{_bindir}/dmg2img
#%endif
%{_datadir}/applications/AcetoneISO.desktop
%{_datadir}/pixmaps/Acetino2.png
%doc AUTHORS LICENSE

%changelog
* Fri Dec 08 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4_3-1mamba
- update to 2.4_3

* Thu Feb 04 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4-1mamba
- update to 2.4

* Mon Jan 07 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-2mamba
- removed requirement for kdebase

* Wed Oct 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-1mamba
- update to 2.3
- removed requirement for cdrtools (require /usr/bin/cdrecord)
- fixed license field

* Thu Feb 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.1-1mamba
- update to 2.2.1
- removed invasive post script

* Tue May 27 2008 Fabio Giani <fabio.giani@gmail.com> 2.0.2-1mamba
- update to 2.0.2

* Thu Jan 03 2008 Fabio Giani <fabio.giani@gmail.com> 2.0-RC1-1mamba
- package created by autospec
